paymentMethods

The paymentMethods query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the PaymentMethodConnection type.

query paymentMethods ($accountId: ID, $filter: String, $sort: String, $after: String, $before: String, $first: Int, $last: Int) {
  paymentMethods (accountId: $accountId, filter: $filter, sort: $sort, after: $after, before: $before, first: $first, last: $last) {
    edges {
      cursor
      node {
        accountId
        createdAt
        disabled
        expirationDate
        failureCode
        failureReason
        id
        isDefault
        lastSuccess
        pluginId
        updatedAt
      }
    }
    totalCount
    pageInfo {
      startCursor
      endCursor
      hasNextPage
      hasPreviousPage
    }
  }
}

ArgumentsLink to Arguments section

Name Type Description
accountId ID  
filter String  
sort String  
after String Returns the elements in the list that come after the specified cursor.
before String Returns the elements in the list that come before the specified cursor.
first Int Returns the first n elements from the list.
last Int Returns the last n elements from the list.

ResponseLink to Response section